Create Standalone Account

Prev Next
Post
/v1/accounts

Create a new standalone account.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Body parameters
minimal

Required fields only

{
  "firstName": "John",
  "lastName": "Doe",
  "email": "john.doe@acme.com",
  "country": "United States",
  "storageAmount": "25 - 50 TB"
}
full

All fields

{
  "firstName": "John",
  "lastName": "Doe",
  "companyName": "Acme Corporation",
  "email": "john.doe@acme.com",
  "country": "United States",
  "phoneNumber": "+1-555-123-4567",
  "storageAmount": "25 - 50 TB"
}
object
firstName
string Required
lastName
string Required
companyName
string
email
string (email) Required
country
string Required
phoneNumber
string
storageAmount
string Required

Projected storage amount (e.g., "1 - 20 PB")

Responses
200

Successfully created standalone account

{
  "success": "True",
  "code": "RES-I-0061",
  "message": "Standalone account has been successfully created!",
  "data": {
    "id": "33446",
    "firstName": "John",
    "lastName": "Doe",
    "companyName": "Acme Corporation",
    "email": "john.doe@acme.com",
    "country": "United States",
    "phoneNumber": "+1-555-123-4567",
    "partnerName": "Sample Partner",
    "wasabiAccountNumber": "",
    "status": "Pending",
    "storageAmount": "25 - 50 TB",
    "createDate": "2024-01-15"
  }
}
Expand All
object
success
boolean
code
string
message
string
data
object (StandaloneAccountResponse)
id
integer
firstName
string
lastName
string
companyName
string
email
string
country
string
phoneNumber
string
partnerName
string
wasabiAccountNumber
integer | null
status
string

Account status ("Verified" or "Pending")

storageAmount
string